## org.apache.xpath
Interface WhitespaceStrippingElementMatcher

All Known Implementing Classes:
  DecimalFormatProperties, ElemApplyImport, ElemApplyTemplates, ElemAttribute, ElemAttributeSet, ElemCallTemplate, ElemChoose, ElemComment, ElemCopy, ElemCopyOf, ElemElement, ElemEmpty, ElemExsltFuncResult, ElemExsltFunction, ElemExtensionCall, ElemExtensionDecl, ElemExtensionScript, ElemFallback, ElemForEach, ElemIf, ElemLiteralResult, ElemMessage, ElemNumber, ElemOtherwise, ElemParam, ElemPI, ElemSort, ElemTemplate, ElemTemplateElement, ElemText, ElemTextLiteral, ElemUnknown, ElemUse, ElemValueOf, ElemVariable, ElemVariablePsuedo, ElemWhen, ElemWithParam, KeyDeclaration, NamespaceAlias, OutputProperties, ProcessorCharacters, ProcessorExsltFuncResult, ProcessorExsltFunction, ProcessorImport, ProcessorInclude, ProcessorLRE, ProcessorStylesheetDoc, ProcessorStylesheetElement, ProcessorTemplateElem, ProcessorText, ProcessorUnknown, Stylesheet, StylesheetComposed, StylesheetRoot, WhiteSpaceInfo, WhitespaceInfoPaths, XSLTElementProcessor

    public interface WhitespaceStrippingElementMatcher

A class that implements this interface can tell if a given element should strip whitespace nodes from it's children.

Method Summary
`boolean` `canStripWhiteSpace()` Get information about whether or not whitespace can be stripped.
`boolean` `shouldStripWhiteSpace(XPathContext support, org.w3c.dom.Element targetElement)` Get information about whether or not an element should strip whitespace.

Method Detail

### shouldStripWhiteSpace

    boolean shouldStripWhiteSpace(XPathContext support,
                                  org.w3c.dom.Element targetElement)
                                  throws javax.xml.transform.TransformerException

  Get information about whether or not an element should strip whitespace.

  Parameters:
    `support` - The XPath runtime state.
    `targetElement` - Element to check
  Returns:
    true if the whitespace should be stripped.
  Throws:
    `javax.xml.transform.TransformerException`
  See Also:
    strip in XSLT Specification

### canStripWhiteSpace

    boolean canStripWhiteSpace()

  Get information about whether or not whitespace can be stripped.

  Returns:
    true if the whitespace can be stripped.
  See Also:
    strip in XSLT Specification

Copyright © 2005 Apache XML Project. All Rights Reserved.